Subject: bug#63271: 29.0.90; broken mouse-face

From: Po Lu <[email-masked]>
Date: Thu, 11 May 2023 08:51:05 +0800

Eli Zaretskii <[email-masked]> writes:

> Po Lu, was that change intentional?  If not, let's remove that line or
> move it under some conditional that doesn't include all Cairo builds.
> If it was intentional, please explain why, and let's take it from
> there.

It was needed to prevent drawing overhangs as part of the cursor from
overwriting surrounding characters with the glyph string background.

Unfortunately, I don't remember why it was needed, though I think the
underlying reason has been fixed.